<?php
/*
 * leFooter Enqueue Scripts and Style for Admin Settings
 */

function load_wplftr_admin_scripts($hook) {
	if( 'settings_page_wplftr_plugin_options' != $hook )
        return;

	wp_enqueue_script('farbtastic');	
	wp_enqueue_style( 'farbtastic' );

	// wp_enqueue_script(
	// 	'google-jsapi',
	// 	'http://www.google.com/jsapi',
	// 	array( 'jquery' ),
	// 	'',
	// 	true
	// );
	
	wp_enqueue_script(
		'wplftr-js',
		WPLFTR_SCRIPTS . '/admin.js',
		array( 'jquery' ),
		'',
		true
	);
}
add_action( 'admin_enqueue_scripts', 'load_wplftr_admin_scripts' );

?>