<?php
/*
 * leFooter Enqueue Scripts and Style
 */

function wplftr_scripts_method() {
	wp_enqueue_style( 'wplftr-css', WPLFTR_STYLES . '/lefooter.css', array(), null );
	
	wp_register_script(
		'wplftr-js',
		WPLFTR_SCRIPTS . '/lefooter.min.js',
		array( 'jquery' ),
		'',
		true
	);
	wp_register_script(
		'easing',
		WPLFTR_SCRIPTS . '/jquery.easing.js',
		array( 'jquery' ),
		'',
		true
	);

	wp_enqueue_script('easing');
	wp_enqueue_script('wplftr-js');

	/*
	 * Register Theme
	 */
	wp_register_style( 'wplftr-minimalist-white', WPLFTR_STYLES . '/minimalist-white.css', array(), null );
	wp_register_style( 'wplftr-minimalist-dark', WPLFTR_STYLES . '/minimalist-dark.css', array(), null );
	wp_register_style( 'wplftr-colored', WPLFTR_STYLES . '/colored.css', array(), null );
	wp_register_style( 'wplftr-gray', WPLFTR_STYLES . '/gray.css', array(), null );
	wp_register_style( 'wplftr-transparent', WPLFTR_STYLES . '/transparent.css', array(), null );
	
	/*
	 * Enqueue Selected Theme
	 */
	wp_enqueue_style('wplftr-' . WPLFTR_OPTION()->theme);

	/*
	 * Responsive Style
	 */
	wp_register_style( 'wplftr-responsive', WPLFTR_STYLES . '/responsive.css', array(), null );
	if(isset(WPLFTR_OPTION()->responsive))
	wp_enqueue_style('wplftr-responsive');
}

add_action( 'wp_enqueue_scripts', 'wplftr_scripts_method' );
?>