<?php

/*
  Plugin Name: WP - leFooter Plugin[FreeScript.ir]
  Plugin URI: http://freescript.ir
  Description: shared By FreeeSCript.ir
  Version: 0.1.0
  Author URI: http://freescript.ir
 */
if (!function_exists('add_action')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}


/*##################################
	SETTINGS
################################## */

define('WPLFTR_SHORT', 'wptmp');
define('WPLFTR_VERSION', '0.1.0');
define('WPLFTR_URL', WP_PLUGIN_DIR . '/wp-lefooter'); 
define('WPLFTR_URI', plugins_url() . '/wp-lefooter'); 
define('WPLFTR_IMG', WPLFTR_URI . '/images');
define('WPLFTR_CORE', WPLFTR_URL .'/core');
define('WPLFTR_ADMIN', WPLFTR_URL .'/admin');
define('WPLFTR_VIEWS', WPLFTR_URL .'/views');
define('WPLFTR_SCRIPTS', WPLFTR_URI .'/js');
define('WPLFTR_STYLES', WPLFTR_URI .'/css');

/*##################################
	REQUIRE
################################## */

require_once( WPLFTR_CORE. '/functions.enqueue.php');
require_once( WPLFTR_CORE. '/functions.widgets.php');
require_once( WPLFTR_CORE. '/functions.display.php');

require_once( WPLFTR_ADMIN. '/functions.settings.php');
require_once( WPLFTR_ADMIN. '/functions.enqueue.php');

/*##################################
  DEFAULT OPTION
################################## */
function wplftr_activate() {
  if(!get_option( 'wplftr_general_settings')){
    $default = array();
    $default['width'] = 960;
    $default['location'] = array(
            "home"    =>    1,
            "blog"    =>    1,
            "posts"   =>    1,
            "pages"   =>    1,
            "category"=>    1,
            "date"    =>    1,
            "tag"     =>    1,
            "author"  =>    1,
            "search"  =>    1 
      );
    $default['theme'] = "minimalist-dark";
    $default['openerp'] = "center";
    $default['texture'] = "";
    $default['speed'] = 350;
    $default['easing'] = "easeInOutQuad";
    add_option('wplftr_general_settings',$default);
  }
}
register_activation_hook( __FILE__, 'wplftr_activate' );

/*##################################
  SETTINGS OPTION
################################## */
function WPLFTR_OPTION(){
  return (object) get_option( 'wplftr_general_settings' );
}